//Source file: BodyPart.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines a sequence of data elements that specify a body part.
 * 
 */
public final class BodyPart implements java.io.Serializable {

    private org.csapi.jr.se.mmm.BodyPartDescription bodyPartHeader;
    private byte[] bodyPartContent;

    /**
     * Creates a new BodyPart instance.
     */
    public BodyPart () {}

    /**
     * Creates a new BodyPart instance.
     * @param _bodyPartHeader   Specifies details about the body part that are needed in order to interpret the content correctly. 
     * @param _bodyPartContent   Contains the content of a body part.
     */
    public BodyPart (org.csapi.jr.se.mmm.BodyPartDescription _bodyPartHeader, byte[] _bodyPartContent) {

        this.bodyPartHeader = _bodyPartHeader;
        this.bodyPartContent = _bodyPartContent;
    }

    /**
     * This method returns a bodyPartHeader.
     * 
     * @return a org.csapi.jr.se.mmm.BodyPartDescription value
     */
    public org.csapi.jr.se.mmm.BodyPartDescription getBodyPartHeader() {
        return bodyPartHeader;
    }

    /**
     * This method returns a bodyPartContent.
     * 
     * @return a byte[] value
     */
    public byte[] getBodyPartContent() {
        return bodyPartContent;
    }


    /**
     * This method sets a bodyPartHeader.
     */ 
    public void setBodyPartHeader(org.csapi.jr.se.mmm.BodyPartDescription bodyPartHeader) {
        this.bodyPartHeader = bodyPartHeader;
    }

    /**
     * This method sets a bodyPartContent.
     */ 
    public void setBodyPartContent(byte[] bodyPartContent) {
        this.bodyPartContent = bodyPartContent;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof BodyPart)) {
            return false;
        } 
        BodyPart bodyPart = (BodyPart) o;
        if ((this.bodyPartHeader != null) && (bodyPart.bodyPartHeader != null)) {
            if(!(this.bodyPartHeader.equals(bodyPart.bodyPartHeader))) {
                return false;
            }
        }
        if(!(this.bodyPartContent == bodyPart.bodyPartContent))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // BodyPart

