//Source file: Constants.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.mmm
 *
 */
public interface Constants {

    /**
     * Undefined / status unknown
     */
    public static final int MESSAGE_REPORT_DELIVERY_UNDEFINED = 0;

    /**
     * A report that the message has been successfully delivered.
     */
    public static final int MESSAGE_REPORT_DELIVERED = 1;

    /**
     * A report that the message was read.
     */
    public static final int MESSAGE_REPORT_READ = 2;

    /**
     * A report that the message was deleted without being read.
     */
    public static final int MESSAGE_REPORT_DELETED_UNREAD = 4;

    /**
     * A report that the message could not be successfully delivered.
     */
    public static final int MESSAGE_REPORT_NOT_DELIVERABLE = 8;

    /**
     * A report that the message could not be delivered before the validity time of the message expired.
     */
    public static final int MESSAGE_REPORT_EXPIRED = 16;

    /**
     * The message shall be delivered as a Short Message according to the Short Message Service standard.
     */
    public static final String MMM_SMS = "P_MMM_SMS";

    /**
     * The message shall be delivered as a Binary Short Message according to the Short Message Service standard.
     */
    public static final String MMM_SMS_BINARY = "P_MMM_SMS_BINARY";

    /**
     * The message shall be delivered as a Multimedia Message according to the Multimedia Message Service standard.
     */
    public static final String MMM_MMS = "P_MMM_MMS";

    /**
     * The message shall be delivered as a WAP-push Message.
     */
    public static final String MMM_WAP_PUSH = "P_MMM_WAP_PUSH";

    /**
     * The message shall be delivered as an e-mail Message.
     */
    public static final String MMM_EMAIL = "P_MMM_EMAIL";

} // org.csapi.jr.se.mmm.Constants
