//Source file: CopyFolder.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a CopyFolder activity object.<BR>
 *
 */
public interface CopyFolder extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the CopyFolder.
     *
     * @return  A reference to the Mailbox responsible for creation of the CopyFolder.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a CopyFolderListener which is interested in events generated by the CopyFolder.
     *
     * @param  copyFolderListener  A reference to the CopyFolderListener which is to be added as
     *        a listener.
     */
    void addCopyFolderListener(org.csapi.jr.se.mmm.CopyFolderListener copyFolderListener);

    /**
     * Removes a CopyFolderListener which is no longer interested events generated by the CopyFolder.
     *
     * @param  copyFolderListener  A reference to the CopyFolderListener which is to be removed as
     *        a listener.
     */
    void removeCopyFolderListener(org.csapi.jr.se.mmm.CopyFolderListener copyFolderListener);

    /**
     * Invokes the copyFolderReq() method on the Parlay Gateway.
     */
    void copyFolderReq(
           java.lang.String                sourceFolderID,
           java.lang.String                destinationFolderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
