//Source file: CreateFolder.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a CreateFolder activity object.<BR>
 *
 */
public interface CreateFolder extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the CreateFolder.
     *
     * @return  A reference to the Mailbox responsible for creation of the CreateFolder.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a CreateFolderListener which is interested in events generated by the CreateFolder.
     *
     * @param  createFolderListener  A reference to the CreateFolderListener which is to be added as
     *        a listener.
     */
    void addCreateFolderListener(org.csapi.jr.se.mmm.CreateFolderListener createFolderListener);

    /**
     * Removes a CreateFolderListener which is no longer interested events generated by the CreateFolder.
     *
     * @param  createFolderListener  A reference to the CreateFolderListener which is to be removed as
     *        a listener.
     */
    void removeCreateFolderListener(org.csapi.jr.se.mmm.CreateFolderListener createFolderListener);

    /**
     * Invokes the createFolderReq() method on the Parlay Gateway.
     */
    void createFolderReq(
           java.lang.String                folderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
