//Source file: DeleteFolder.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a DeleteFolder activity object.<BR>
 *
 */
public interface DeleteFolder extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the DeleteFolder.
     *
     * @return  A reference to the Mailbox responsible for creation of the DeleteFolder.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a DeleteFolderListener which is interested in events generated by the DeleteFolder.
     *
     * @param  deleteFolderListener  A reference to the DeleteFolderListener which is to be added as
     *        a listener.
     */
    void addDeleteFolderListener(org.csapi.jr.se.mmm.DeleteFolderListener deleteFolderListener);

    /**
     * Removes a DeleteFolderListener which is no longer interested events generated by the DeleteFolder.
     *
     * @param  deleteFolderListener  A reference to the DeleteFolderListener which is to be removed as
     *        a listener.
     */
    void removeDeleteFolderListener(org.csapi.jr.se.mmm.DeleteFolderListener deleteFolderListener);

    /**
     * Invokes the deleteFolderReq() method on the Parlay Gateway.
     */
    void deleteFolderReq(
           java.lang.String                folderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
