//Source file: GetFullMessageResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getFullMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetFullMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetFullMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetFullMessageResEvent(java.lang.Object source,
        byte[]                          message) {

        super(source);
      this.message = message;
 
    }

    byte[]                          message;

    /**
     *  This method is used to retrieve the parameter value of 'message' passed up
     *  from the Gateway in it's call to the getFullMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'message' used on creation of this event.
     */
    public byte[] getMessage() {

        return this.message;
    }
       
}

