//Source file: GetMailboxInfoProperties.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetMailboxInfoProperties activity object.<BR>
 *
 */
public interface GetMailboxInfoProperties extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetMailboxInfoProperties.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetMailboxInfoProperties.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetMailboxInfoPropertiesListener which is interested in events generated by the GetMailboxInfoProperties.
     *
     * @param  getMailboxInfoPropertiesListener  A reference to the GetMailboxInfoPropertiesListener which is to be added as
     *        a listener.
     */
    void addGetMailboxInfoPropertiesListener(org.csapi.jr.se.mmm.GetMailboxInfoPropertiesListener getMailboxInfoPropertiesListener);

    /**
     * Removes a GetMailboxInfoPropertiesListener which is no longer interested events generated by the GetMailboxInfoProperties.
     *
     * @param  getMailboxInfoPropertiesListener  A reference to the GetMailboxInfoPropertiesListener which is to be removed as
     *        a listener.
     */
    void removeGetMailboxInfoPropertiesListener(org.csapi.jr.se.mmm.GetMailboxInfoPropertiesListener getMailboxInfoPropertiesListener);

    /**
     * Invokes the getMailboxInfoPropertiesReq() method on the Parlay Gateway.
     */
    void getMailboxInfoPropertiesReq()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
