//Source file: GetMessageBodyPartsListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetMessageBodyParts activity object.<BR>
 *
 */
public interface GetMessageBodyPartsListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getMessageBodyPartsRes() method on 
    * the callback interface.
    *
    * @param  getMessageBodyPartsResEvent  Reference to a GetMessageBodyPartsResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageBodyPartsResEvent(org.csapi.jr.se.mmm.GetMessageBodyPartsResEvent getMessageBodyPartsResEvent);


   /**
    * Called due to a Gateway initiated call to the getMessageBodyPartsErr() method on 
    * the callback interface.
    *
    * @param  getMessageBodyPartsErrEvent  Reference to a GetMessageBodyPartsErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageBodyPartsErrEvent(org.csapi.jr.se.mmm.GetMessageBodyPartsErrEvent getMessageBodyPartsErrEvent);


}
