//Source file: GetMessageContent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetMessageContent activity object.<BR>
 *
 */
public interface GetMessageContent extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetMessageContent.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetMessageContent.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetMessageContentListener which is interested in events generated by the GetMessageContent.
     *
     * @param  getMessageContentListener  A reference to the GetMessageContentListener which is to be added as
     *        a listener.
     */
    void addGetMessageContentListener(org.csapi.jr.se.mmm.GetMessageContentListener getMessageContentListener);

    /**
     * Removes a GetMessageContentListener which is no longer interested events generated by the GetMessageContent.
     *
     * @param  getMessageContentListener  A reference to the GetMessageContentListener which is to be removed as
     *        a listener.
     */
    void removeGetMessageContentListener(org.csapi.jr.se.mmm.GetMessageContentListener getMessageContentListener);

    /**
     * Invokes the getMessageContentReq() method on the Parlay Gateway.
     */
    void getMessageContentReq(
           java.lang.String                folderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
