//Source file: GetMessageHeadersListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetMessageHeaders activity object.<BR>
 *
 */
public interface GetMessageHeadersListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getMessageHeadersRes() method on 
    * the callback interface.
    *
    * @param  getMessageHeadersResEvent  Reference to a GetMessageHeadersResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageHeadersResEvent(org.csapi.jr.se.mmm.GetMessageHeadersResEvent getMessageHeadersResEvent);


   /**
    * Called due to a Gateway initiated call to the getMessageHeadersErr() method on 
    * the callback interface.
    *
    * @param  getMessageHeadersErrEvent  Reference to a GetMessageHeadersErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageHeadersErrEvent(org.csapi.jr.se.mmm.GetMessageHeadersErrEvent getMessageHeadersErrEvent);


}
