//Source file: GetMessageInfoProperties.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetMessageInfoProperties activity object.<BR>
 *
 */
public interface GetMessageInfoProperties extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetMessageInfoProperties.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetMessageInfoProperties.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetMessageInfoPropertiesListener which is interested in events generated by the GetMessageInfoProperties.
     *
     * @param  getMessageInfoPropertiesListener  A reference to the GetMessageInfoPropertiesListener which is to be added as
     *        a listener.
     */
    void addGetMessageInfoPropertiesListener(org.csapi.jr.se.mmm.GetMessageInfoPropertiesListener getMessageInfoPropertiesListener);

    /**
     * Removes a GetMessageInfoPropertiesListener which is no longer interested events generated by the GetMessageInfoProperties.
     *
     * @param  getMessageInfoPropertiesListener  A reference to the GetMessageInfoPropertiesListener which is to be removed as
     *        a listener.
     */
    void removeGetMessageInfoPropertiesListener(org.csapi.jr.se.mmm.GetMessageInfoPropertiesListener getMessageInfoPropertiesListener);

    /**
     * Invokes the getMessageInfoPropertiesReq() method on the Parlay Gateway.
     */
    void getMessageInfoPropertiesReq(
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
