//Source file: GetMessageInfoPropertiesResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageInfoPropertiesRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMessageInfoPropertiesResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMessageInfoPropertiesResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMessageInfoPropertiesResEvent(java.lang.Object source,
        java.lang.String                messageID,
        org.csapi.jr.se.mmm.MessageInfoProperty[] returnedProperties) {

        super(source);
      this.messageID = messageID;
      this.returnedProperties = returnedProperties;
 
    }

    java.lang.String                messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the getMessageInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public java.lang.String getMessageID() {

        return this.messageID;
    }
       
    org.csapi.jr.se.mmm.MessageInfoProperty[] returnedProperties;

    /**
     *  This method is used to retrieve the parameter value of 'returnedProperties' passed up
     *  from the Gateway in it's call to the getMessageInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'returnedProperties' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageInfoProperty[] getReturnedProperties() {

        return this.returnedProperties;
    }
       
}

