//Source file: ListMessageBodyParts.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a ListMessageBodyParts activity object.<BR>
 *
 */
public interface ListMessageBodyParts extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the ListMessageBodyParts.
     *
     * @return  A reference to the Mailbox responsible for creation of the ListMessageBodyParts.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a ListMessageBodyPartsListener which is interested in events generated by the ListMessageBodyParts.
     *
     * @param  listMessageBodyPartsListener  A reference to the ListMessageBodyPartsListener which is to be added as
     *        a listener.
     */
    void addListMessageBodyPartsListener(org.csapi.jr.se.mmm.ListMessageBodyPartsListener listMessageBodyPartsListener);

    /**
     * Removes a ListMessageBodyPartsListener which is no longer interested events generated by the ListMessageBodyParts.
     *
     * @param  listMessageBodyPartsListener  A reference to the ListMessageBodyPartsListener which is to be removed as
     *        a listener.
     */
    void removeListMessageBodyPartsListener(org.csapi.jr.se.mmm.ListMessageBodyPartsListener listMessageBodyPartsListener);

    /**
     * Invokes the listMessageBodyPartsReq() method on the Parlay Gateway.
     */
    void listMessageBodyPartsReq(
           java.lang.String                folderID,
           java.lang.String                messageID,
           int                             maxNestingLevel)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
