//Source file: ListMessageBodyPartsListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the ListMessageBodyParts activity object.<BR>
 *
 */
public interface ListMessageBodyPartsListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the listMessageBodyPartsRes() method on 
    * the callback interface.
    *
    * @param  listMessageBodyPartsResEvent  Reference to a ListMessageBodyPartsResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onListMessageBodyPartsResEvent(org.csapi.jr.se.mmm.ListMessageBodyPartsResEvent listMessageBodyPartsResEvent);


   /**
    * Called due to a Gateway initiated call to the listMessageBodyPartsErr() method on 
    * the callback interface.
    *
    * @param  listMessageBodyPartsErrEvent  Reference to a ListMessageBodyPartsErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onListMessageBodyPartsErrEvent(org.csapi.jr.se.mmm.ListMessageBodyPartsErrEvent listMessageBodyPartsErrEvent);


}
