//Source file: ListMessageBodyPartsResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the listMessageBodyPartsRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ListMessageBodyPartsResEvent extends java.util.EventObject {

    /**
     * Constructor for the ListMessageBodyPartsResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ListMessageBodyPartsResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.BodyPartDescription[] partsList) {

        super(source);
      this.partsList = partsList;
 
    }

    org.csapi.jr.se.mmm.BodyPartDescription[] partsList;

    /**
     *  This method is used to retrieve the parameter value of 'partsList' passed up
     *  from the Gateway in it's call to the listMessageBodyPartsRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'partsList' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.BodyPartDescription[] getPartsList() {

        return this.partsList;
    }
       
}

