//Source file: ListMessagesCriteria.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * The list message criteria can be used to narrow down the list of messages reported to the Application by specifying extra criteria that the listed messages need to conform to. 
 * 
 */
public final class ListMessagesCriteria implements java.io.Serializable {

    private boolean onlyUnreadMessages;

    /**
     * Creates a new ListMessagesCriteria instance.
     */
    public ListMessagesCriteria () {}

    /**
     * Creates a new ListMessagesCriteria instance.
     * @param _onlyUnreadMessages   When this field is TRUE only unread messages shall be reported.
     */
    public ListMessagesCriteria (boolean _onlyUnreadMessages) {

        this.onlyUnreadMessages = _onlyUnreadMessages;
    }

    /**
     * This method returns a onlyUnreadMessages.
     * 
     * @return a boolean value
     */
    public boolean getOnlyUnreadMessages() {
        return onlyUnreadMessages;
    }


    /**
     * This method sets a onlyUnreadMessages.
     */ 
    public void setOnlyUnreadMessages(boolean onlyUnreadMessages) {
        this.onlyUnreadMessages = onlyUnreadMessages;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ListMessagesCriteria)) {
            return false;
        } 
        ListMessagesCriteria listMessagesCriteria = (ListMessagesCriteria) o;
        if(!(this.onlyUnreadMessages == listMessagesCriteria.onlyUnreadMessages)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ListMessagesCriteria

