//Source file: MailboxFolderStatusInformation.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Describes the status of a mailbox folder. 
 * 
 */
public final class MailboxFolderStatusInformation implements java.io.Serializable {

    private int totalMessageCount;

    /**
     * Creates a new MailboxFolderStatusInformation instance.
     */
    public MailboxFolderStatusInformation () {}

    /**
     * Creates a new MailboxFolderStatusInformation instance.
     * @param _totalMessageCount   Specifies the total number of messages in the mailbox folder. 
     */
    public MailboxFolderStatusInformation (int _totalMessageCount) {

        this.totalMessageCount = _totalMessageCount;
    }

    /**
     * This method returns a totalMessageCount.
     * 
     * @return a int value
     */
    public int getTotalMessageCount() {
        return totalMessageCount;
    }


    /**
     * This method sets a totalMessageCount.
     */ 
    public void setTotalMessageCount(int totalMessageCount) {
        this.totalMessageCount = totalMessageCount;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MailboxFolderStatusInformation)) {
            return false;
        } 
        MailboxFolderStatusInformation mailboxFolderStatusInformation = (MailboxFolderStatusInformation) o;
        if(!(this.totalMessageCount == mailboxFolderStatusInformation.totalMessageCount)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MailboxFolderStatusInformation

