//Source file: MailboxInfoProperty.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specify the information properties of a mailbox.
 *
 */
public final class MailboxInfoProperty implements java.io.Serializable {

    private MailboxInfoPropertyName _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MailboxInfoProperty.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MailboxInfoProperty() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MailboxInfoPropertyName value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MailboxInfoPropertyName getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a MailboxOwner
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMailboxOwner() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MailboxInfoPropertyName.MMM_MAILBOX_OWNER) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MailboxOwner
     * 
     * @param value a java.lang.String value
     */
    public void setMailboxOwner(java.lang.String value) {
        _discriminator = MailboxInfoPropertyName.MMM_MAILBOX_OWNER;
        _object = value;
    }

    /**
     * This method returns a MailboxDateCreated
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMailboxDateCreated() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MailboxInfoPropertyName.MMM_MAILBOX_DATE_CREATED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MailboxDateCreated
     * 
     * @param value a java.lang.String value
     */
    public void setMailboxDateCreated(java.lang.String value) {
        _discriminator = MailboxInfoPropertyName.MMM_MAILBOX_DATE_CREATED;
        _object = value;
    }

    /**
     * This method returns a MailboxDateChanged
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMailboxDateChanged() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MailboxInfoPropertyName.MMM_MAILBOX_DATE_CHANGED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MailboxDateChanged
     * 
     * @param value a java.lang.String value
     */
    public void setMailboxDateChanged(java.lang.String value) {
        _discriminator = MailboxInfoPropertyName.MMM_MAILBOX_DATE_CHANGED;
        _object = value;
    }

    /**
     * This method returns a MailboxSize
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getMailboxSize() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MailboxInfoPropertyName.MMM_MAILBOX_SIZE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a MailboxSize
     * 
     * @param value a int value
     */
    public void setMailboxSize(int value) {
        _discriminator = MailboxInfoPropertyName.MMM_MAILBOX_SIZE;
        _object = new java.lang.Integer(value);
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MailboxInfoPropertyName value 
     */ 
    public void setUndefined(MailboxInfoPropertyName discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MailboxInfoProperty)) {
            return false;
        } else {
            MailboxInfoProperty mailboxInfoProperty= (MailboxInfoProperty)o;
            if(!(this._object.equals(mailboxInfoProperty._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(mailboxInfoProperty._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MailboxInfoProperty

