//Source file: MailboxTerminatedEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the mailboxTerminated() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class MailboxTerminatedEvent extends java.util.EventObject {

    /**
     * Constructor for the MailboxTerminatedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public MailboxTerminatedEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.Mailbox interfaceRef) {

        super(source);
        this.mailbox = interfaceRef;
 
    }

    org.csapi.jr.se.mmm.Mailbox mailbox = null;

    /**
     *  This method is used to retrieve the Mailbox, associated with this event.
     *
     * @return    The Mailbox associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.mmm.Mailbox getMailbox() {

        return this.mailbox;
    }

}

