//Source file: MessagingNotificationRequested.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to event requests.
 * 
 */
public final class MessagingNotificationRequested implements java.io.Serializable {

    private org.csapi.jr.se.mmm.MessagingEventCriteria[] eventCriteria;
    private int assignmentID;

    /**
     * Creates a new MessagingNotificationRequested instance.
     */
    public MessagingNotificationRequested () {}

    /**
     * Creates a new MessagingNotificationRequested instance.
     * @param _eventCriteria   
     * @param _assignmentID   
     */
    public MessagingNotificationRequested (org.csapi.jr.se.mmm.MessagingEventCriteria[] _eventCriteria, int _assignmentID) {

        this.eventCriteria = _eventCriteria;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a eventCriteria.
     * 
     * @return a org.csapi.jr.se.mmm.MessagingEventCriteria[] value
     */
    public org.csapi.jr.se.mmm.MessagingEventCriteria[] getEventCriteria() {
        return eventCriteria;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a eventCriteria.
     */ 
    public void setEventCriteria(org.csapi.jr.se.mmm.MessagingEventCriteria[] eventCriteria) {
        this.eventCriteria = eventCriteria;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MessagingNotificationRequested)) {
            return false;
        } 
        MessagingNotificationRequested messagingNotificationRequested = (MessagingNotificationRequested) o;
        if(!(this.eventCriteria == messagingNotificationRequested.eventCriteria))  {
            return false;
        }
        if(!(this.assignmentID == messagingNotificationRequested.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessagingNotificationRequested

