//Source file: MoveFolder.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a MoveFolder activity object.<BR>
 *
 */
public interface MoveFolder extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the MoveFolder.
     *
     * @return  A reference to the Mailbox responsible for creation of the MoveFolder.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a MoveFolderListener which is interested in events generated by the MoveFolder.
     *
     * @param  moveFolderListener  A reference to the MoveFolderListener which is to be added as
     *        a listener.
     */
    void addMoveFolderListener(org.csapi.jr.se.mmm.MoveFolderListener moveFolderListener);

    /**
     * Removes a MoveFolderListener which is no longer interested events generated by the MoveFolder.
     *
     * @param  moveFolderListener  A reference to the MoveFolderListener which is to be removed as
     *        a listener.
     */
    void removeMoveFolderListener(org.csapi.jr.se.mmm.MoveFolderListener moveFolderListener);

    /**
     * Invokes the moveFolderReq() method on the Parlay Gateway.
     */
    void moveFolderReq(
           java.lang.String                sourceFolderID,
           java.lang.String                destinationFolderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
