//Source file: MoveFolderListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the MoveFolder activity object.<BR>
 *
 */
public interface MoveFolderListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the moveFolderRes() method on 
    * the callback interface.
    *
    * @param  moveFolderResEvent  Reference to a MoveFolderResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMoveFolderResEvent(org.csapi.jr.se.mmm.MoveFolderResEvent moveFolderResEvent);


   /**
    * Called due to a Gateway initiated call to the moveFolderErr() method on 
    * the callback interface.
   *
    * @param  moveFolderErrEvent  Reference to a MoveFolderErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMoveFolderErrEvent(org.csapi.jr.se.mmm.MoveFolderErrEvent moveFolderErrEvent);


}
