//Source file: MoveMessageListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the MoveMessage activity object.<BR>
 *
 */
public interface MoveMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the moveMessageRes() method on 
    * the callback interface.
    *
    * @param  moveMessageResEvent  Reference to a MoveMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMoveMessageResEvent(org.csapi.jr.se.mmm.MoveMessageResEvent moveMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the moveMessageErr() method on 
    * the callback interface.
    *
    * @param  moveMessageErrEvent  Reference to a MoveMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMoveMessageErrEvent(org.csapi.jr.se.mmm.MoveMessageErrEvent moveMessageErrEvent);


}
