//Source file: MultiMediaMessaging.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a MultiMediaMessaging.<BR>
 *
 */
public interface MultiMediaMessaging extends org.csapi.jr.se.Service {

    /**
     * Adds a MultiMediaMessagingListener which is interested in events generated by the MultiMediaMessaging.
     *
     * @param  multiMediaMessagingListener  A reference to the MultiMediaMessagingListener which is to be added as
     *         a listener.
     */
    void addMultiMediaMessagingListener(org.csapi.jr.se.mmm.MultiMediaMessagingListener multiMediaMessagingListener);

    /**
     * Removes a MultiMediaMessagingListener which is no longer interested in events generated by the MultiMediaMessaging.
     *
     * @param  multiMediaMessagingListener  A reference to the MultiMediaMessagingListener which is to be removed as
     *         a listener.
     */
    void removeMultiMediaMessagingListener(org.csapi.jr.se.mmm.MultiMediaMessagingListener multiMediaMessagingListener);

    /**
     * Returns a reference to the MultiMediaMessagingManager responsible for creation of the MultiMediaMessaging.
     *
     * @return  A reference to the MultiMediaMessagingManager responsible for creation of the MultiMediaMessaging.
     */
    org.csapi.jr.se.mmm.MultiMediaMessagingManager getMultiMediaMessagingManager();

    /**
     * Invokes the close() method on the Parlay Gateway.
     */
    void close()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a SendMessageWithNotify object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the SendMessageWithNotify interface.
     */
    org.csapi.jr.se.mmm.SendMessageWithNotify createSendMessageWithNotify();

    /**
     * Creates a SendMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the SendMessage interface.
     */
    org.csapi.jr.se.mmm.SendMessage createSendMessage();

}
