//Source file: MultiMediaMessagingTerminatedEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the multiMediaMessagingTerminated() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class MultiMediaMessagingTerminatedEvent extends java.util.EventObject {

    /**
     * Constructor for the MultiMediaMessagingTerminatedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public MultiMediaMessagingTerminatedEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MultiMediaMessaging interfaceRef) {

        super(source);
        this.multiMediaMessaging = interfaceRef;
 
    }

    org.csapi.jr.se.mmm.MultiMediaMessaging multiMediaMessaging = null;

    /**
     *  This method is used to retrieve the MultiMediaMessaging, associated with this event.
     *
     * @return    The MultiMediaMessaging associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.mmm.MultiMediaMessaging getMultiMediaMessaging() {

        return this.multiMediaMessaging;
    }

}

