//Source file: NewMailboxMessageArrivedInfo.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify the information returned to the application in a New Mailbox Message Arrived event.  Basic information is provided in the Message Description field.  If further information is to be provided, it is included in the ExtendedHeaderInformation field.
 * 
 */
public final class NewMailboxMessageArrivedInfo implements java.io.Serializable {

    private String mailboxID;
    private String folderID;
    private org.csapi.jr.se.mmm.MessageDescription[] messageDescription;
    private org.csapi.jr.se.mmm.MessageHeaderField[] extendedHeaderInformation;

    /**
     * Creates a new NewMailboxMessageArrivedInfo instance.
     */
    public NewMailboxMessageArrivedInfo () {}

    /**
     * Creates a new NewMailboxMessageArrivedInfo instance.
     * @param _mailboxID   
     * @param _folderID   
     * @param _messageDescription   
     * @param _extendedHeaderInformation   
     */
    public NewMailboxMessageArrivedInfo (String _mailboxID, String _folderID, org.csapi.jr.se.mmm.MessageDescription[] _messageDescription, org.csapi.jr.se.mmm.MessageHeaderField[] _extendedHeaderInformation) {

        this.mailboxID = _mailboxID;
        this.folderID = _folderID;
        this.messageDescription = _messageDescription;
        this.extendedHeaderInformation = _extendedHeaderInformation;
    }

    /**
     * This method returns a mailboxID.
     * 
     * @return a String value
     */
    public String getMailboxID() {
        return mailboxID;
    }

    /**
     * This method returns a folderID.
     * 
     * @return a String value
     */
    public String getFolderID() {
        return folderID;
    }

    /**
     * This method returns a messageDescription.
     * 
     * @return a org.csapi.jr.se.mmm.MessageDescription[] value
     */
    public org.csapi.jr.se.mmm.MessageDescription[] getMessageDescription() {
        return messageDescription;
    }

    /**
     * This method returns a extendedHeaderInformation.
     * 
     * @return a org.csapi.jr.se.mmm.MessageHeaderField[] value
     */
    public org.csapi.jr.se.mmm.MessageHeaderField[] getExtendedHeaderInformation() {
        return extendedHeaderInformation;
    }


    /**
     * This method sets a mailboxID.
     */ 
    public void setMailboxID(String mailboxID) {
        this.mailboxID = mailboxID;
    }

    /**
     * This method sets a folderID.
     */ 
    public void setFolderID(String folderID) {
        this.folderID = folderID;
    }

    /**
     * This method sets a messageDescription.
     */ 
    public void setMessageDescription(org.csapi.jr.se.mmm.MessageDescription[] messageDescription) {
        this.messageDescription = messageDescription;
    }

    /**
     * This method sets a extendedHeaderInformation.
     */ 
    public void setExtendedHeaderInformation(org.csapi.jr.se.mmm.MessageHeaderField[] extendedHeaderInformation) {
        this.extendedHeaderInformation = extendedHeaderInformation;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof NewMailboxMessageArrivedInfo)) {
            return false;
        } 
        NewMailboxMessageArrivedInfo newMailboxMessageArrivedInfo = (NewMailboxMessageArrivedInfo) o;
        if ((this.mailboxID != null) && (newMailboxMessageArrivedInfo.mailboxID != null)) {
            if(!(this.mailboxID.equals(newMailboxMessageArrivedInfo.mailboxID)))  {
                return false;
            }
        }
        if ((this.folderID != null) && (newMailboxMessageArrivedInfo.folderID != null)) {
            if(!(this.folderID.equals(newMailboxMessageArrivedInfo.folderID)))  {
                return false;
            }
        }
        if(!(this.messageDescription == newMailboxMessageArrivedInfo.messageDescription))  {
            return false;
        }
        if(!(this.extendedHeaderInformation == newMailboxMessageArrivedInfo.extendedHeaderInformation))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // NewMailboxMessageArrivedInfo

