//Source file: NewMessageStatusReportArrivedInfo.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify the information returned to the application in a New Message Status Report Arrived event.
 * 
 */
public final class NewMessageStatusReportArrivedInfo implements java.io.Serializable {

    private String messageID;
    private org.csapi.jr.se.Address destinationAddress;
    private int deliveryReportType;
    private String deliveryReportInfo;

    /**
     * Creates a new NewMessageStatusReportArrivedInfo instance.
     */
    public NewMessageStatusReportArrivedInfo () {}

    /**
     * Creates a new NewMessageStatusReportArrivedInfo instance.
     * @param _messageID   The message ID uniquely identifying the message.
     * @param _destinationAddress   Indicates the destination address of the original MM message sent using sendMessageWithNotifyReq()
     * @param _deliveryReportType   Defines the type of message delivery report
     * @param _deliveryReportInfo   Additional information
     */
    public NewMessageStatusReportArrivedInfo (String _messageID, org.csapi.jr.se.Address _destinationAddress, int _deliveryReportType, String _deliveryReportInfo) {

        this.messageID = _messageID;
        this.destinationAddress = _destinationAddress;
        this.deliveryReportType = _deliveryReportType;
        this.deliveryReportInfo = _deliveryReportInfo;
    }

    /**
     * This method returns a messageID.
     * 
     * @return a String value
     */
    public String getMessageID() {
        return messageID;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a deliveryReportType.
     * 
     * @return a int value
     */
    public int getDeliveryReportType() {
        return deliveryReportType;
    }

    /**
     * This method returns a deliveryReportInfo.
     * 
     * @return a String value
     */
    public String getDeliveryReportInfo() {
        return deliveryReportInfo;
    }


    /**
     * This method sets a messageID.
     */ 
    public void setMessageID(String messageID) {
        this.messageID = messageID;
    }

    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a deliveryReportType.
     */ 
    public void setDeliveryReportType(int deliveryReportType) {
        this.deliveryReportType = deliveryReportType;
    }

    /**
     * This method sets a deliveryReportInfo.
     */ 
    public void setDeliveryReportInfo(String deliveryReportInfo) {
        this.deliveryReportInfo = deliveryReportInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof NewMessageStatusReportArrivedInfo)) {
            return false;
        } 
        NewMessageStatusReportArrivedInfo newMessageStatusReportArrivedInfo = (NewMessageStatusReportArrivedInfo) o;
        if ((this.messageID != null) && (newMessageStatusReportArrivedInfo.messageID != null)) {
            if(!(this.messageID.equals(newMessageStatusReportArrivedInfo.messageID)))  {
                return false;
            }
        }
        if ((this.destinationAddress != null) && (newMessageStatusReportArrivedInfo.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(newMessageStatusReportArrivedInfo.destinationAddress))) {
                return false;
            }
        }
        if(!(this.deliveryReportType == newMessageStatusReportArrivedInfo.deliveryReportType))  {
            return false;
        }
        if ((this.deliveryReportInfo != null) && (newMessageStatusReportArrivedInfo.deliveryReportInfo != null)) {
            if(!(this.deliveryReportInfo.equals(newMessageStatusReportArrivedInfo.deliveryReportInfo)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // NewMessageStatusReportArrivedInfo

