//Source file: Notification.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a Notification activity object.<BR>
 *
 */
public interface Notification extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the MultiMediaMessagingManager responsible for creation of the Notification.
     *
     * @return  A reference to the MultiMediaMessagingManager responsible for creation of the Notification.
     */
    org.csapi.jr.se.mmm.MultiMediaMessagingManager getMultiMediaMessagingManager();

    /**
     * Adds a NotificationListener which is interested in events generated by the Notification.
     *
     * @param  notificationListener  A reference to the NotificationListener which is to be added as
     *        a listener.
     */
    void addNotificationListener(org.csapi.jr.se.mmm.NotificationListener notificationListener);

    /**
     * Removes a NotificationListener which is no longer interested events generated by the Notification.
     *
     * @param  notificationListener  A reference to the NotificationListener which is to be removed as
     *        a listener.
     */
    void removeNotificationListener(org.csapi.jr.se.mmm.NotificationListener notificationListener);

    /**
     * Invokes the createNotification() method on the Parlay Gateway.
     */
    void createNotification(
           org.csapi.jr.se.mmm.MessagingEventCriteria[] eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidCriteriaException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the destroyNotification() method on the Parlay Gateway.
     */
    void destroyNotification()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the changeNotification() method on the Parlay Gateway.
     */
    void changeNotification(
           org.csapi.jr.se.mmm.MessagingEventCriteria[] eventCriteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidCriteriaException;
}
