//Source file: PutMessage.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface represents a PutMessage activity object.<BR>
 *
 */
public interface PutMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the PutMessage.
     *
     * @return  A reference to the Mailbox responsible for creation of the PutMessage.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a PutMessageListener which is interested in events generated by the PutMessage.
     *
     * @param  putMessageListener  A reference to the PutMessageListener which is to be added as
     *        a listener.
     */
    void addPutMessageListener(org.csapi.jr.se.mmm.PutMessageListener putMessageListener);

    /**
     * Removes a PutMessageListener which is no longer interested events generated by the PutMessage.
     *
     * @param  putMessageListener  A reference to the PutMessageListener which is to be removed as
     *        a listener.
     */
    void removePutMessageListener(org.csapi.jr.se.mmm.PutMessageListener putMessageListener);

    /**
     * Invokes the putMessageReq() method on the Parlay Gateway.
     */
    void putMessageReq(
           java.lang.String                folderID,
           byte[]                          message)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmMaxMessageSizeExceededException;
}
