//Source file: PutMessageListener.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the PutMessage activity object.<BR>
 *
 */
public interface PutMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the putMessageRes() method on 
    * the callback interface.
    *
    * @param  putMessageResEvent  Reference to a PutMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onPutMessageResEvent(org.csapi.jr.se.mmm.PutMessageResEvent putMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the putMessageErr() method on 
    * the callback interface.
    *
    * @param  putMessageErrEvent  Reference to a PutMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onPutMessageErrEvent(org.csapi.jr.se.mmm.PutMessageErrEvent putMessageErrEvent);


}
