//Source file: SetMessageInfoPropertiesResEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the setMessageInfoPropertiesRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SetMessageInfoPropertiesResEvent extends java.util.EventObject {

    /**
     * Constructor for the SetMessageInfoPropertiesResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SetMessageInfoPropertiesResEvent(java.lang.Object source,
        java.lang.String                messageID,
        org.csapi.jr.se.mmm.MessageInfoProperty[] propertiesUpdated) {

        super(source);
      this.messageID = messageID;
      this.propertiesUpdated = propertiesUpdated;
 
    }

    java.lang.String                messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the setMessageInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public java.lang.String getMessageID() {

        return this.messageID;
    }
       
    org.csapi.jr.se.mmm.MessageInfoProperty[] propertiesUpdated;

    /**
     *  This method is used to retrieve the parameter value of 'propertiesUpdated' passed up
     *  from the Gateway in it's call to the setMessageInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'propertiesUpdated' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageInfoProperty[] getPropertiesUpdated() {

        return this.propertiesUpdated;
    }
       
}

