//Source file: TerminateMultipleMailboxesEvent.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the terminateMultipleMailboxes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TerminateMultipleMailboxesEvent extends java.util.EventObject {

    /**
     * Constructor for the TerminateMultipleMailboxesEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TerminateMultipleMailboxesEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.Mailbox[] mailboxSet) {

        super(source);
      this.mailboxSet = mailboxSet;
 
    }

    org.csapi.jr.se.mmm.Mailbox[] mailboxSet;

    /**
     *  This method is used to retrieve the parameter value of 'mailboxSet' passed up
     *  from the Gateway in it's call to the terminateMultipleMailboxes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'mailboxSet' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.Mailbox[] getMailboxSet() {

        return this.mailboxSet;
    }
       
}

