//Source file: TerminatingAddressList.java
//Date: November 2007
//Multi Media Messaging for for 3GPP TS 29.198-15 V7.1.0, Release 7

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify a send message request.
 * 
 */
public final class TerminatingAddressList implements java.io.Serializable {

    private org.csapi.jr.se.Address[] toAddressList;
    private org.csapi.jr.se.Address[] ccAddressList;
    private org.csapi.jr.se.Address[] bccAddressList;

    /**
     * Creates a new TerminatingAddressList instance.
     */
    public TerminatingAddressList () {}

    /**
     * Creates a new TerminatingAddressList instance.
     * @param _toAddressList   The list of addresses that are the main target of the message.
     * @param _ccAddressList   The list of addresses that receive a copy of the message.
     * @param _bccAddressList   The list of addresses that receive a copy of the message, without this being visible to other receivers.
     */
    public TerminatingAddressList (org.csapi.jr.se.Address[] _toAddressList, org.csapi.jr.se.Address[] _ccAddressList, org.csapi.jr.se.Address[] _bccAddressList) {

        this.toAddressList = _toAddressList;
        this.ccAddressList = _ccAddressList;
        this.bccAddressList = _bccAddressList;
    }

    /**
     * This method returns a toAddressList.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getToAddressList() {
        return toAddressList;
    }

    /**
     * This method returns a ccAddressList.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getCcAddressList() {
        return ccAddressList;
    }

    /**
     * This method returns a bccAddressList.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getBccAddressList() {
        return bccAddressList;
    }


    /**
     * This method sets a toAddressList.
     */ 
    public void setToAddressList(org.csapi.jr.se.Address[] toAddressList) {
        this.toAddressList = toAddressList;
    }

    /**
     * This method sets a ccAddressList.
     */ 
    public void setCcAddressList(org.csapi.jr.se.Address[] ccAddressList) {
        this.ccAddressList = ccAddressList;
    }

    /**
     * This method sets a bccAddressList.
     */ 
    public void setBccAddressList(org.csapi.jr.se.Address[] bccAddressList) {
        this.bccAddressList = bccAddressList;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TerminatingAddressList)) {
            return false;
        } 
        TerminatingAddressList terminatingAddressList = (TerminatingAddressList) o;
        if(!(this.toAddressList == terminatingAddressList.toAddressList))  {
            return false;
        }
        if(!(this.ccAddressList == terminatingAddressList.ccAddressList))  {
            return false;
        }
        if(!(this.bccAddressList == terminatingAddressList.bccAddressList))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TerminatingAddressList

